<ion-header>

  <ion-navbar>
    <ion-title>Registrazione</ion-title>
  </ion-navbar>

</ion-header>


<ion-content text-center>
        <form (ngSubmit)="signup()" #loginForm="ngForm">
            <ion-row>
                <ion-col>
                    <ion-list inset>
                        <ion-item>
                            <ion-input type="text" placeholder="Email" name="email" [(ngModel)]="email" required></ion-input>
                        </ion-item>
                        <ion-item>
                            <ion-input type="password" placeholder="Password" name="password" [(ngModel)]="password" required></ion-input>
                        </ion-item>
                        <ion-item>
                            <ion-input type="password" placeholder="Ripeti password" name="password2" [(ngModel)]="password2" required></ion-input>
                        </ion-item>
                        <ion-item>
                            <ion-input type="text" placeholder="Cognome" name="surname" [(ngModel)]="surname" required></ion-input>
                        </ion-item>
                        <ion-item>
                            <ion-input type="text" placeholder="Nome" name="name" [(ngModel)]="name" required></ion-input>
                        </ion-item>
                        <button ion-button class="submit-btn" full type="submit" [disabled]="!loginForm.form.valid">Registrazione</button>
                    </ion-list>
                </ion-col>
            </ion-row>
        </form>
</ion-content>